#! /bin/bash

set -e

. ./pika-build-config.sh

VERSION="$PIKA_PACKAGE_VERSION"

echo "$PIKA_BUILD_ARCH" > pika-build-arch

apt-get source "$PIKA_PACKAGE_NAME=$VERSION" -y

if [ "$PIKA_REBUILD" = true ] ; then
    VERSION="$VERSION+$PIKA_REBUILD_VERSION"
fi

#TODO - DO PATCHING
#TODO - DO REVERSIONING FOR REBUILD

# Get build deps
#LOGNAME=root dh_make --createorig -y -l -p src-pkg-name_"$VERSION" || echo "dh-make: Ignoring Last Error"

# Get build deps
apt-get build-dep "$PIKA_PACKAGE_NAME=$VERSION" -y

# Build package
cd ./"$PIKA_PACKAGE_NAME*"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
